## valgrind 3.6.1

=== debian/changelog ===
valgrind (1:3.6.1-6) unstable; urgency=low

  * Upload with maintainer's consent.

  * debian/patches/0007-implement-extra-dwarf-ops-gcc-461.patch:
    + Added; from upstream r11856, makes valgrind work again with binaries
      built with recent gcc versions (Closes: #632969).
  * debian/patches/0008-configure-support-linux-3.patch:
    + Added; from upstream r11796, add support for Linux 3.x to configure
      script (Closes: #633094).

 -- Julien BLACHE <jblache@debian.org>  Fri, 08 Jul 2011 22:28:11 +0200

valgrind (1:3.6.1-5) unstable; urgency=low

  * debian/rules:
      - use autotools-dev dh_autotools-dev_updateconfig.
      - do now strip under /usr/lib/valgrind (Closes: 475562).
      - use dh 7 to reduce debian/rules cruft.
  * Add armhf to the supported architectures.

 -- Pierre Habouzit <madcoder@debian.org>  Mon, 23 May 2011 16:00:59 +0200

valgrind (1:3.6.1-4) unstable; urgency=low

  * Fix patches/0004-allow-or-quoting-of-strings-in-.valgrindrc.patch: out was
    copied too early leading to bad option parsing in case of leading spaces
    (Closes: 626486, 626496).

 -- Pierre Habouzit <madcoder@debian.org>  Thu, 12 May 2011 19:44:22 +0200

valgrind (1:3.6.1-3) unstable; urgency=low

  * update 0002-version.patch to loosen the checks on the arm version
    (Closes: 592614).

 -- Pierre Habouzit <madcoder@debian.org>  Thu, 12 May 2011 13:35:29 +0200

valgrind (1:3.6.1-2) unstable; urgency=low

  * Enable valgrind build on armel (Closes: 592614):
      - s/arm/armel/ in debian/control;
      - build for armv7 since valgrind doesn't support older arm CPUs,
        thanks to Loïc Minier for the implementation details.
  * Add 0004-allow-or-quoting-of-strings-in-.valgrindrc.patch to allow parsing
    of options with spaces in ~/.valgrindrc (Closes: 507236).
  * Catch manpages build failures (Closes: 599563) thanks to Stefano Rivera.
  * Add suppression for __nss_database_lookup leaks in debian.supp
    (Closes: 598870).
  * String things not under /usr/lib/valgrind (Closes: 475562), document into
    the lintian-overrides why it shouldn't be stripped, namely
    http://valgrind.org/docs/manual/dist.readme-packagers.html.
  * Add 0006-workaround-SIGSEGV-on-PPC.patch to workaround PPC SIGSEGV
    (Closes: 603961).

 -- Pierre Habouzit <madcoder@debian.org>  Tue, 10 May 2011 23:12:23 +0200

valgrind (1:3.6.1-1) unstable; urgency=low

  * Migrate to format 3.0 (quilt):
      - use upstream .tar.bz2 directly;
      - migrate patches from dpatch to debian/patches/*.
      - valgrind builds twice in a row (Closes: 549554).
  * Add myself to Uploaders.
  * New upstream release (Closes: 622586, 625180).
  * Add patches/0003-prevent-gcc-4.6-warnings-with-valgrind.h.patch to prevent
    warnings about set but unused variables with gcc-4.6.
  * debian/control:
      - Bump standards version (no changes needed).
      - Add VCS-* Headers.
      - Add Homepage Header.
  * Lintian fixes:
      - Add missing ${misc:Depends} in debian/control.
      - fix debian-rules-ignores-make-clean-error.
      - migrate to dh_lintian for overrides, and update them.
      - remove article from debian/control Description.

 -- Pierre Habouzit <madcoder@debian.org>  Mon, 09 May 2011 22:55:27 +0200

=== debian/control ===
Source: valgrind
Section: devel
Priority: optional
Maintainer: Andrés Roldán <aroldan@debian.org>
Uploaders: Pierre Habouzit <madcoder@debian.org>
Build-Depends: debhelper (>> 7.0.0), libc6-dev (>> 2.3.0), autotools-dev (>= 20100122.1),
  gdb, gcc-multilib [amd64], libc6-dev-i386 (>> 2.3.0) [amd64], docbook,
  docbook-xsl, docbook-xml, xsltproc
Standards-Version: 3.9.2
Vcs-Browser: http://git.debian.org/?p=collab-maint/valgrind.git;a=summary
Vcs-Git: git://git.debian.org/git/collab-maint/valgrind.git

Package: valgrind
Architecture: i386 amd64 powerpc armel armhf
Depends: ${misc:Depends}, ${shlibs:Depends}, libc6-dbg
Conflicts: valgrind-callgrind
Provides: valgrind-callgrind
Suggests: kcachegrind, alleyoop, valkyrie (>> 1.3.0)
Recommends: gdb
Description: memory debugger and profiler
 Valgrind is a GPL'd tool to help you find memory-management problems in your
 programs. When a program is run under Valgrind's supervision, all reads and
 writes of memory are checked, and calls to malloc/new/free/delete are
 intercepted.
 .
 Valgrind can debug more or less any dynamically-linked ELF x86/Linux,
 amd64/Linux and ppc/Linux executables, without modification, recompilation,
 or anything.
 .
 Valgrind provides a generic infrastructure for supervising the execution of
 programs called "tools". This is done by providing a way to instrument
 programs in very precise ways, making it relatively easy to support
 activities such as dynamic error detection and profiling. The Valgrind
 distribution currently includes three tools: a memory error detectors, a
 cache (time) profiler and a heap (space) profiler.
Homepage: http://www.valgrind.org/

=== debian/rules ===
#!/usr/bin/make -f

CROSS :=
DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
    CROSS :=  $(DEB_HOST_GNU_TYPE)
endif

# this outputs 0 or 1 depending on whether a piece of assembly can be compiled
# with the *default* gcc flags; this is used to test the toolchain *default*
# configuration
check_asm = $(shell echo 'void foo(void) { __asm__ volatile("$(1)"); }' | $(CROSS)gcc -x c -c - -o /dev/null 2>/dev/null && echo 1 || echo 0)

ifeq ($(DEB_HOST_ARCH_CPU),arm)
    # whether the toolchain *default* configuration enables ARMv7
    v7_asm := dmb
    has_v7 := $(call check_asm, $(v7_asm))

ifneq ($(has_v7),1)
    CFLAGS += -march=armv7-a
endif
endif

override_dh_auto_configure:
	cat xfree-4.supp debian/debian.supp > debian.supp
	./configure CFLAGS="$(CFLAGS)" \
		--prefix=/usr \
		--mandir=\$${prefix}/share/man \
		--enable-tls

override_dh_auto_test:
	: # do nothing for now

override_dh_clean:
	dh_clean
	$(RM) debian.supp

target=$(CURDIR)/debian/valgrind
override_dh_install:
	$(MAKE) install prefix=$(CURDIR)/debian/valgrind/usr
	# Debian stuff
	cp -f debian/debian-libc6-dbg.supp $(target)/usr/lib/valgrind
	mv -f $(target)/usr/bin/valgrind $(target)/usr/bin/valgrind.bin
	cp -f debian/valgrind.sh $(target)/usr/bin/valgrind
	chown root.root $(target)/usr/bin/valgrind.bin $(target)/usr/bin/valgrind
	chmod 755 $(target)/usr/bin/valgrind.bin $(target)/usr/bin/valgrind
	install -p -m644 debian.supp $(target)/usr/lib/valgrind
	install -p -d -m755 $(target)/usr/share/doc/valgrind/html
	install -p -m644 debian/valgrind.bash $(target)/etc/bash_completion.d/valgrind

%:
	dh $@ --parallel --with autotools-dev

## valgrind 3.6.99svn11761

=== debian/changelog ===
valgrind (1:3.6.99svn11761-1) experimental; urgency=low

  * Package a pre 3.7.0 snapshot (up to r11761 on 20110517).
  * 3.7.0 comes with a gdbserver features which mitigates the following bugs:
      - Gdb interactions are simpler and avoid issues due to embedding
        (Closes: 309406, 270066, 351823)
      - this comes with better handling of registers (Closes: 576236).
      - 3.7.0 has a s390x port, so enable it as an architecture and see where
        it goes.
  * remove 0003-prevent-gcc-4.6-warnings-with-valgrind.h.patch since upstream
    now integrates those changes.
  * lintian fixes:
      - add overrides for sgcheck binaries and DSO.
      - update debhelper version depends to 7.0.50~ as suggested.

 -- Pierre Habouzit <madcoder@debian.org>  Tue, 17 May 2011 08:47:28 +0200

valgrind (1:3.6.1-5) UNRELEASED; urgency=low

  * debian/rules:
      - use autotools-dev dh_autotools-dev_updateconfig.
      - do now strip under /usr/lib/valgrind (Closes: 475562).
      - use dh 7 to reduce debian/rules cruft.
  * Add armhf to the supported architectures.

 -- Pierre Habouzit <madcoder@debian.org>  Fri, 13 May 2011 14:29:50 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Andrés Roldán <aroldan@debian.org>
 Uploaders: Pierre Habouzit <madcoder@debian.org>
-Build-Depends: debhelper (>> 7.0.0), libc6-dev (>> 2.3.0), autotools-dev (>= 20100122.1),
+Build-Depends: debhelper (>= 7.0.50~), libc6-dev (>> 2.3.0), autotools-dev (>= 20100122.1),
   gdb, gcc-multilib [amd64], libc6-dev-i386 (>> 2.3.0) [amd64], docbook,
   docbook-xsl, docbook-xml, xsltproc
 Standards-Version: 3.9.2
@@ -11,7 +11,7 @@
 Vcs-Git: git://git.debian.org/git/collab-maint/valgrind.git
 
 Package: valgrind
-Architecture: i386 amd64 powerpc armel armhf
+Architecture: i386 amd64 s390 powerpc armel armhf
 Depends: ${misc:Depends}, ${shlibs:Depends}, libc6-dbg
 Conflicts: valgrind-callgrind
 Provides: valgrind-callgrind

=== debian/rules ===
--- 
+++ 
@@ -33,8 +33,14 @@
 	: # do nothing for now
 
 override_dh_clean:
-	dh_clean
+	dh_clean --parallel
 	$(RM) debian.supp
+
+override_dh_auto_build:
+	dh_auto_build --parallel
+	$(MAKE) -C docs html-docs
+	$(MAKE) -C docs man-pages
+
 
 target=$(CURDIR)/debian/valgrind
 override_dh_install:

## valgrind 3.6.99svn12003

=== debian/changelog ===
valgrind (1:3.6.99svn12003-1) experimental; urgency=low

  * Package a pre 3.7.0 snapshot (up to r12003 on 20110828).
  * Includes GCC-4.6 DWARF2 fixes hence Closes: 632666 on experimental as
    well.

 -- Pierre Habouzit <madcoder@debian.org>  Sun, 28 Aug 2011 23:14:32 +0200

## valgrind 3.7.0

=== debian/changelog ===
valgrind (1:3.7.0-6+rpi8) trixie-staging; urgency=medium

  * Allow 5.x kernels and newer glibc.

 -- Peter Michael Green <plugwash@raspbian.org>  Wed, 19 Jun 2024 01:20:18 +0000

valgrind (1:3.7.0-6+rpi7) bookworm-staging; urgency=medium

  * Treat glibc 2.35 as 2.14 to make package build.
  * Regenerate auto* using automake 1.10
  * Add +fp to -march settings

 -- Peter Michael Green <plugwash@raspbian.org>  Sun, 02 Oct 2022 16:13:57 +0000

valgrind (1:3.7.0-6+rpi6) buster-staging; urgency=medium

  * Treat glibc 2.27 as 2.14 to make package build.
  * Regenerate auto* using automake 1.10

 -- Peter Michael Green <plugwash@raspbian.org>  Thu, 03 May 2018 16:12:17 +0000

valgrind (1:3.7.0-6+rpi5) stretch-staging; urgency=medium

  * Add 4.x kernels to detection code.
  * Regenerate auto* using automake 1.10
  * Treat glibc 2.24 as 2.14 to make package build.

 -- Peter Michael Green <plugwash@raspbian.org>  Sat, 08 Oct 2016 23:38:55 +0000

valgrind (1:3.7.0-6+rpi4) stretch-staging; urgency=medium

  * Don't install bash-completion file, it conflicts with one in bash-completion
    package.
  * Treat glibc 2.22 as 2.14 to make package build.
  * Regenerate auto* using automake 1.10

 -- Peter Michael Green <plugwash@raspbian.org>  Thu, 14 Apr 2016 09:08:45 +0000

valgrind (1:3.7.0-6+rpi3) stretch-staging; urgency=medium

  * Don't error out on unrecognised gcc versions.
  * Regenerate auto*
  * Cleanup config.log in clean target.
  * Use the -P option to cpp during glibc version detection as line markers
    were screwing up the interpretation.

 -- Peter Michael Green <plugwash@raspbian.org>  Thu, 10 Mar 2016 01:23:20 +0000

valgrind (1:3.7.0-6+rpi2) jessie-staging; urgency=low

  * Treat eglibc 2.17 as 2.14 to make package build.

 -- Peter Michael Green <plugwash@raspbian.org>  Thu, 28 Nov 2013 11:38:49 +0000

valgrind (1:3.7.0-6+rpi1) wheezy-staging; urgency=low

  * add armv6 fixes from 
    http://valgrind.10908.n7.nabble.com/for-the-poor-armv6-users-td19828.html
  * regenerate auto*
  * disable broken armv7 check in debian/rules
  * put a copy of FAQ.txt in debian/ and copy it back into main build tree at
    end of clean target since the upstream build process seems to kill it.

 -- Peter Michael Green <plugwash@raspbian.org>  Mon, 24 Dec 2012 13:41:19 +0000

valgrind (1:3.7.0-6) unstable; urgency=low

  * Explicitly pass -I/usr/include/$(DEB_HOST_GNU_TYPE) compiler flag
    (Closes: #676029)
  * Remove ${shlibs:Depends} from valgrind-dbg depends

 -- Alessandro Ghedini <ghedo@debian.org>  Tue, 05 Jun 2012 12:35:02 +0200

valgrind (1:3.7.0-5) unstable; urgency=low

  * Build on ppc64 too (Closes: #672481)
  * Update short and long descriptions
  * Remove not-needed Provides/Conflicts on valgrind-callgrind
  * No need to merge xfree-4.supp into debian.supp: it is already provided
    by default.supp
  * Enable mpiwrap module (Closes: #565139)
    - Add new valgrind-mpi package
    - valgrind Suggests valgrind-mpi
  * Clean-up rules' dh_install override
  * Add valgrind-dbg package (cf. #475562)
    - valgrind Recommends valgrind-dbg
  * Remove unused lintian overrides
  * Update debian/copyright using Copyright-Format 1.0

 -- Alessandro Ghedini <ghedo@debian.org>  Thu, 17 May 2012 22:03:08 +0200

valgrind (1:3.7.0-4) unstable; urgency=low

  [ Pierre Habouzit ]
  * Remove myself as a Maintainer, pass the package to Alessandro.

  [ Alessandro Ghedini ]
  * Remove versioned build depends already satisfied in stable
  * Bump Standards-Version to 3.9.3
  * Add debian/watch
  * Pass CPPFLAGS and LDFLAGS from dpkg-buildflags too
  * Replace UNRELEASED with unstable in debian/{changelog,NEWS} entry for
    3.6.1-5 (fixes debian-news-entry-has-strange-distribution)
  * Add 0007-fix-spelling-in-binary.patch
  * Add 0008-fix-spelling-in-manpage.patch
  * Add more DEP3 headers to the patches
  * Remove useless debian/dirs file
  * Use dh_bash-completion to install bash completion file
  * Use debian/clean file instead of overriding dh_clean
  * Register HTML manual with doc-base
  * Install NEWS as upstream changelog
  * Add Roland to Uploaders
  * Fix typo in long description (Closes: #643834)
  * Provide a valgrind-listener manpage
    - Add 0009-valgrind-listener-manpage.patch
      Thanks to Cristian Greco (Closes: #632822)

 -- Alessandro Ghedini <ghedo@debian.org>  Fri, 11 May 2012 17:09:35 +0200

valgrind (1:3.7.0-3) unstable; urgency=low

  * Set myself as maintainer of valgrind, removing Andrés on his request.
    Thanks for the more than 7 years of maintenance Andrés!
  * Add s390x to the Architecture field (Closes: 640154).
  * Remove s390 that isn't supported upstream anymore.
  * Make valgrind believe it's cross compiled so that it builds on armel
    (hopefully), fix configure to deal with gcc version check properly
    (patches/0006-fix-configure.patch).

 -- Pierre Habouzit <madcoder@debian.org>  Tue, 28 Feb 2012 11:28:32 +0100

valgrind (1:3.7.0-2) unstable; urgency=low

  * Fix callgrind_control that should look for valgrind.bin and not
    "valgrind". Closes: 659215. Thanks to Martin Apel.

 -- Pierre Habouzit <madcoder@debian.org>  Fri, 10 Feb 2012 14:16:17 +0100

valgrind (1:3.7.0-1) unstable; urgency=low

  * New upstream release.
  * refresh 0002-version.patch.
  * Drop patches merged upstream:
    - 0005-catch-manpages-errors.patch
    - 0007-implement-extra-dwarf-ops-gcc-461.patch
    - 0008-configure-support-linux-3.patch

 -- Pierre Habouzit <madcoder@debian.org>  Wed, 21 Dec 2011 16:28:29 +0100

=== debian/control ===
Source: valgrind
Section: devel
Priority: optional
Maintainer: Alessandro Ghedini <ghedo@debian.org>
Uploaders: Roland Stigge <stigge@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
 autotools-dev,
 bash-completion,
 gdb,
 gcc-multilib [amd64],
 libc6-dev-i386 [amd64],
 mpi-default-dev,
 docbook,
 docbook-xsl,
 docbook-xml,
 xsltproc
Standards-Version: 3.9.3
Vcs-Browser: http://git.debian.org/?p=collab-maint/valgrind.git;a=summary
Vcs-Git: git://git.debian.org/git/collab-maint/valgrind.git
Homepage: http://www.valgrind.org/

Package: valgrind
Architecture: i386 amd64 s390x powerpc ppc64 armel armhf
Depends: ${misc:Depends}, ${shlibs:Depends}, libc6-dbg
Suggests: valgrind-mpi, kcachegrind, alleyoop, valkyrie (>> 1.3.0)
Recommends: valgrind-dbg, gdb
Description: instrumentation framework for building dynamic analysis tools
 Valgrind is a system for debugging and profiling Linux programs. With its tool
 suite you can automatically detect many memory management and threading bugs,
 avoiding hours of frustrating bug-hunting and making your programs more stable.
 You can also perform detailed profiling to help speed up your programs and use
 Valgrind to build new tools.
 .
 The Valgrind distribution currently includes six production-quality tools:
  * a memory error detector (Memcheck)
  * two thread error detectors (Helgrind and DRD)
  * a cache and branch-prediction profiler (Cachegrind)
  * a call-graph generating cache and branch-prediction profiler (Callgrind)
  * a heap profiler (Massif)
 It also includes three experimental tools:
  * a stack/global array overrun detector (SGCheck)
  * a second heap profiler that examines how heap blocks are used (DHAT)
  * a SimPoint basic block vector generator (BBV)

Package: valgrind-dbg
Priority: extra
Section: debug
Architecture: i386 amd64 s390x powerpc ppc64 armel armhf
Depends: ${misc:Depends}, valgrind (= ${binary:Version})
Description: instrumentation framework for building dynamic analysis tools (debug)
 Valgrind is a system for debugging and profiling Linux programs. With its tool
 suite you can automatically detect many memory management and threading bugs,
 avoiding hours of frustrating bug-hunting and making your programs more stable.
 You can also perform detailed profiling to help speed up your programs and use
 Valgrind to build new tools.
 .
 This package provides the debug symbols for valgrind's tools and libraries.

Package: valgrind-mpi
Architecture: i386 amd64 s390x powerpc ppc64 armel armhf
Depends: ${misc:Depends}, ${shlibs:Depends}, valgrind (= ${binary:Version})
Recommends: gdb
Description: instrumentation framework for building dynamic analysis tools (MPI module)
 Valgrind is a system for debugging and profiling Linux programs. With its tool
 suite you can automatically detect many memory management and threading bugs,
 avoiding hours of frustrating bug-hunting and making your programs more stable.
 You can also perform detailed profiling to help speed up your programs and use
 Valgrind to build new tools.
 .
 This package provides the "mpiwrap" library for debugging distributed-memory
 applications which use the MPI message passing standard.

=== debian/watch ===
version=3

http://valgrind.org/downloads/valgrind-(.*)\.tar\.bz2

## valgrind 3.8.1

=== debian/changelog ===
valgrind (1:3.8.1-4ubuntu1) saucy; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Allow specification of an extra directory in which to look for
      debuginfo objects.
    - Remove valgrind-mpi package from Ubuntu and any references to it, as
      mpi-default-dev is in universe for the time being.
    - Lower over-inflated valgrind-dbg Recommends to Suggests instead.
    - Don't strip vgpreload* on ARM; this results in unusable stack traces
      without valgrind-dbg.
    - Apply patch from https://bugs.kde.org/show_bug.cgi?id=308717,
      implementing fixed-point VCVT.F64.[SU]32 on ARM.  This instruction
      shows up quite frequently in desktop components.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 02 Jun 2013 21:03:30 +0100

valgrind (1:3.8.1-4) unstable; urgency=low

  * Build with -mips2 on mipsel.
    Thanks to Fuxin Zhang (Closes: #710307)
  * Add 12_bcopy.patch (Closes: #691109)

 -- Alessandro Ghedini <ghedo@debian.org>  Sat, 01 Jun 2013 15:51:47 +0200

valgrind (1:3.8.1-3ubuntu1) saucy; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Allow specification of an extra directory in which to look for
      debuginfo objects.
    - Remove valgrind-mpi package from Ubuntu and any references to it, as
      mpi-default-dev is in universe for the time being.
    - Lower over-inflated valgrind-dbg Recommends to Suggests instead.
    - Don't strip vgpreload* on ARM; this results in unusable stack traces
      without valgrind-dbg.
    - Apply patch from https://bugs.kde.org/show_bug.cgi?id=308717,
      implementing fixed-point VCVT.F64.[SU]32 on ARM.  This instruction
      shows up quite frequently in desktop components.
  * Drop remaining ppc64 patches; we no longer care about this in Ubuntu,
    and valgrind seems to build fine on Debian ppc64.
  * Renumber Ubuntu patches to make future merges easier.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 30 May 2013 11:09:43 +0100

valgrind (1:3.8.1-3) unstable; urgency=low

  * Add 11_glibc-2.17.patch to fix FTBFS with glibc 2.17 (Closes: #707438)

 -- Alessandro Ghedini <ghedo@debian.org>  Fri, 10 May 2013 18:10:39 +0200

valgrind (1:3.8.1-2) unstable; urgency=low

  [ Alessandro Ghedini ]
  * Bump Standards-Version to 3.9.4 (no changes needed)
  * Quote LD_LIBRARY_PATH in the wrapper script to avoid errors with spaced
    paths (LP: #880685)
  * Enable support for mipsel too (Closes: #696850)
  * Add suppression for dlopen() leak when linking with -lpthread
    (Closes: #700899)

  [ Samuel Bronson ]
  * Allow building more than once from the same tree
    - Build and ship FAQ.txt from sources, since the bundled copy is deleted
      on "make clean"
  * Drop docs/valgrind.1 changes from 08_fix-spelling-in-manpage.patch
  * Add 10_unbreak-xinclude-in-manpage.patch to fix a broken XInclude
    (Closes: #696694)

 -- Alessandro Ghedini <ghedo@debian.org>  Wed, 20 Feb 2013 11:21:07 +0100

valgrind (1:3.8.1-1ubuntu5) raring; urgency=low

  * Apply patch from https://bugs.kde.org/show_bug.cgi?id=308717,
    implementing fixed-point VCVT.F64.[SU]32 on ARM.  This instruction shows
    up quite frequently in desktop components.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 29 Jan 2013 15:41:11 +0000

valgrind (1:3.8.1-1ubuntu4) raring; urgency=low

  * Backport from upstream:
    - Accept glibc 2.17 as valid.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 29 Jan 2013 13:36:30 +0000

valgrind (1:3.8.1-1ubuntu3) raring; urgency=low

  * Don't strip vgpreload* on ARM; this results in unusable stack traces.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 29 Jan 2013 11:37:18 +0000

valgrind (1:3.8.1-1ubuntu2) raring; urgency=low

  * Drop the dh-autoreconf delta, we no longer need this for Ubuntu.
  * Lower over-inflated valgrind-dbg Recommends to Suggests instead.

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 16 Dec 2012 07:53:19 -0700

valgrind (1:3.8.1-1ubuntu1) raring; urgency=low

  [ Alex Chiang ]
  * Merge from Debian unstable.
    - Drop all Ubuntu patches, as they have been applied upstream or are
      carried in Debian with similar names.
    - Drop documentation on creating snapshots in debian/copyright, doesn't
      seem necessary anymore.
    Remaining changes:
    - Use dh-autoreconf instead of autotools-dev.
    - Add ppc64 support:
      . Build-dep on gcc-multilib and libc6-dev-powerpc on ppc64
  * 10_extra-debuginfo-path.patch: allows specification of an extra directory
    in which to look for debuginfo objects.

  [ Adam Conrad ]
  * Remove valgrind-mpi package from Ubuntu and any references to it, as
    mpi-default-dev is in universe for the time being (Reverts: #565139)

 -- Alex Chiang <achiang@canonical.com>  Tue, 11 Dec 2012 22:56:07 -0800

valgrind (1:3.8.1-1) unstable; urgency=low

  * New upstream release
  * Update 02_version.patch

 -- Alessandro Ghedini <ghedo@debian.org>  Wed, 19 Sep 2012 19:59:34 +0200

valgrind (1:3.8.0-1) unstable; urgency=low

  * New upstream release
    - Increase maximum allowed alignment for memalign (Closes: #489297)
    - Support for Intel AVX instructions (Closes: #655468)
    - Fix some C++ template symbols demangling (Closes: #493284)
  * Fix debian.supp madness (Closes: #661523):
    - Remove python suppressions from debian.supp
      (already provided by the python package)
    - Remove outdated suppressions from debian.supp
      (i.e. those matching old libraries)
    - Remove useless suppressions and clean-up remaining
  * Update upstream copyright
  * Enable support for mips
  * Drop 06_fix-configure.patch (fixed upstream)
  * Refresh patches
  * Update 07_fix-spelling-in-binary.patch

 -- Alessandro Ghedini <ghedo@debian.org>  Sat, 11 Aug 2012 14:24:56 +0200

valgrind (1:3.7.0-0ubuntu4) quantal; urgency=low

  * fix-buffer-overflows.patch: fix overflows in vgdb
  * 05_fix-callgrind_control.patch: fix valgrind process name (LP: #1036283)
  * fix-VEX-PCMPxSTRx.patch: fix strstr handling (LP: #1027977)



=== debian/control ===
Source: valgrind
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Alessandro Ghedini <ghedo@debian.org>
Uploaders: Roland Stigge <stigge@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
 autotools-dev,
 bash-completion,
 gdb,
 gcc-multilib [amd64],
 libc6-dev-i386 [amd64],
 docbook,
 docbook-xsl,
 docbook-xml,
 xsltproc
Standards-Version: 3.9.4
XS-Debian-Vcs-Browser: http://git.debian.org/?p=collab-maint/valgrind.git;a=summary
XS-Debian-Vcs-Git: git://git.debian.org/git/collab-maint/valgrind.git
Homepage: http://www.valgrind.org/

Package: valgrind
Architecture: amd64 armel armhf i386 mips mipsel powerpc ppc64 s390x
Depends: ${misc:Depends}, ${shlibs:Depends}, libc6-dbg
Suggests: valgrind-dbg, kcachegrind, alleyoop, valkyrie (>> 1.3.0)
Recommends: gdb
Description: instrumentation framework for building dynamic analysis tools
 Valgrind is a system for debugging and profiling Linux programs. With its tool
 suite you can automatically detect many memory management and threading bugs,
 avoiding hours of frustrating bug-hunting and making your programs more stable.
 You can also perform detailed profiling to help speed up your programs and use
 Valgrind to build new tools.
 .
 The Valgrind distribution currently includes six production-quality tools:
  * a memory error detector (Memcheck)
  * two thread error detectors (Helgrind and DRD)
  * a cache and branch-prediction profiler (Cachegrind)
  * a call-graph generating cache and branch-prediction profiler (Callgrind)
  * a heap profiler (Massif)
 It also includes three experimental tools:
  * a stack/global array overrun detector (SGCheck)
  * a second heap profiler that examines how heap blocks are used (DHAT)
  * a SimPoint basic block vector generator (BBV)

Package: valgrind-dbg
Priority: extra
Section: debug
Architecture: amd64 armel armhf i386 mips mipsel powerpc ppc64 s390x
Depends: ${misc:Depends}, valgrind (= ${binary:Version})
Description: instrumentation framework for building dynamic analysis tools (debug)
 Valgrind is a system for debugging and profiling Linux programs. With its tool
 suite you can automatically detect many memory management and threading bugs,
 avoiding hours of frustrating bug-hunting and making your programs more stable.
 You can also perform detailed profiling to help speed up your programs and use
 Valgrind to build new tools.
 .
 This package provides the debug symbols for valgrind's tools and libraries.

=== debian/rules ===
#!/usr/bin/make -f

CROSS :=
DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
	CROSS :=  $(DEB_HOST_GNU_TYPE)
endif

# this outputs 0 or 1 depending on whether a piece of assembly can be compiled
# with the *default* gcc flags; this is used to test the toolchain *default*
# configuration
check_asm = $(shell echo 'void foo(void) { __asm__ volatile("$(1)"); }' |   \
	$(CROSS)gcc -x c -c - -o /dev/null 2>/dev/null && echo 1 || echo 0)

CFLAGS   = $(shell dpkg-buildflags --get CFLAGS)
CFLAGS  += $(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS  += "-I/usr/include/$(DEB_HOST_GNU_TYPE)"   # fixes #676029
LDFLAGS  = $(shell dpkg-buildflags --get LDFLAGS)

ifeq ($(DEB_HOST_ARCH_CPU),arm)
	# whether the toolchain *default* configuration enables ARMv7
	v7_asm := dmb
	has_v7 := $(call check_asm, $(v7_asm))

	ifneq ($(has_v7),1)
		CFLAGS += -march=armv7-a # fixes 592614
	endif

	DH_STRIP_OPTS := -X vgpreload
else
	DH_STRIP_OPTS :=
endif

ifeq ($(DEB_HOST_ARCH),mipsel)
	CFLAGS += -mips2 # fixes 710307
endif

%:
	dh $@ --parallel --with=autotools-dev,bash-completion

override_dh_auto_configure:
	dh_auto_configure -- --host="$(DEB_HOST_GNU_TYPE)" --enable-tls \
		CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"

override_dh_auto_test:
	: # do nothing for now

override_dh_auto_build:
	dh_auto_build --parallel
	$(MAKE) -C docs FAQ.txt
	$(MAKE) -C docs html-docs
	$(MAKE) -C docs man-pages

override_dh_strip:
	dh_strip --dbg-package=valgrind-dbg $(DH_STRIP_OPTS)

target=$(CURDIR)/debian/valgrind
override_dh_install:
	$(MAKE) install prefix=$(CURDIR)/debian/tmp/usr
	dh_install -pvalgrind
	mv -f $(target)/usr/bin/valgrind $(target)/usr/bin/valgrind.bin
	mv -f ${target}/usr/bin/valgrind.sh $(target)/usr/bin/valgrind
	dh_install --remaining-packages

override_dh_installchangelogs:
	dh_installchangelogs NEWS

## valgrind 3.10~20140411

=== VEX/switchback/Makefile ===

CC=aarch64-linux-gnu-gcc

all: switchback.c linker.c linker.h
	$CC -m64 -Wall -O -g -o switchback switchback.c linker.c \
		../libvex_ppc64_linux.a

test_ppc:
	$CC -Wall -m64  -mregnames -O -c test_ppc_jm1.c

clean:
	rm -f switchback switchback.o linker.o

=== debian/changelog ===
valgrind (1:3.10~20140411-0ubuntu1) trusty; urgency=medium

  * Upstream snapshot from 20140411. LP: #1300070.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 11 Apr 2014 13:07:13 +0200

valgrind (1:3.10~20140329-0ubuntu1) trusty; urgency=medium

  * Upstream snapshot from 20140329.
  * Build for AArch64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 29 Mar 2014 12:02:06 +0100

valgrind (1:3.9.0-4ubuntu4) trusty; urgency=medium

  * Build using dh-autoreconf.
  * Build for ppc64el.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 28 Mar 2014 20:29:02 +0100

valgrind (1:3.9.0-4ubuntu3) trusty; urgency=medium

  * Add support for glibc-2.19.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 25 Feb 2014 16:56:18 +0100

valgrind (1:3.9.0-4ubuntu1) trusty; urgency=low

  * Merge with Debian; remaining changes:
    - Remove valgrind-mpi package from Ubuntu and any references to it, as
      mpi-default-dev is in universe for the time being.
    - Lower over-inflated valgrind-dbg Recommends to Suggests instead.
    - Don't strip vgpreload* on ARM; this results in unusable stack traces
      without valgrind-dbg.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 08 Jan 2014 08:21:30 +0100

valgrind (1:3.9.0-4) unstable; urgency=medium

  * Add Breaks+Replaces: valgrind-dev on valgrind

 -- Alessandro Ghedini <ghedo@debian.org>  Mon, 16 Dec 2013 00:46:58 +0100

valgrind (1:3.9.0-3) unstable; urgency=medium

  * Revert the move of the headers and pkg-config file to valgrind-dev
    (cfr: #731228) (Closes: #732239)

 -- Alessandro Ghedini <ghedo@debian.org>  Mon, 16 Dec 2013 00:20:48 +0100

valgrind (1:3.9.0-2) unstable; urgency=medium

  * Remove valgrind.manpages (manpages are installed anyway)
  * Build on mips64 and mips64el (Closes: #729040)
  * Add 09_fix-armhf-detect.patch to fix FTBFS on armhf (Closes: #730844)
  * Move headers and pkg-config file to valgrind-dev (Closes: #731228)
    See Debian.NEWS for more info
  * Bump Standards-Version to 3.9.5 (no changes needed)

 -- Alessandro Ghedini <ghedo@debian.org>  Tue, 10 Dec 2013 19:28:22 +0100

valgrind (1:3.9.0-1) unstable; urgency=low

  * New upstream release
  * Drop patches merged/fixed upstream:
    - 01_more-vg-n-segments.patch
    - 09_valgrind-listener-manpage.patch
    - 10_unbreak-xinclude-in-manpage.patch
    - 11_glibc-2.17.patch
    - 12_bcopy.patch
    - 13_pthread-cond-init.patch
  * Refresh patches
  * Update 08_fix-spelling-in-manpage.patch

 -- Alessandro Ghedini <ghedo@debian.org>  Tue, 05 Nov 2013 20:54:28 +0100

valgrind (1:3.8.1-6) unstable; urgency=low

  * Only install BSD-licensed header files (Closes: #725223)
  * Fix lintian vcs-field-not-canonical
  * Do not install/use outdated and useless debian-libc6-dbg.supp anymore
  * Add note in README.Debian about installed suppression files
    (Closes: #725522)
  * Do not build on armel anymore (Closes: #720409)

 -- Alessandro Ghedini <ghedo@debian.org>  Thu, 31 Oct 2013 11:34:53 +0100

valgrind (1:3.8.1-5ubuntu2) trusty; urgency=medium

  * Build for glibc-2.18.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Dec 2013 09:47:10 +0100

valgrind (1:3.8.1-5ubuntu1) trusty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Allow specification of an extra directory in which to look for
      debuginfo objects.
    - Remove valgrind-mpi package from Ubuntu and any references to it, as
      mpi-default-dev is in universe for the time being.
    - Lower over-inflated valgrind-dbg Recommends to Suggests instead.
    - Don't strip vgpreload* on ARM; this results in unusable stack traces
      without valgrind-dbg.
    - Apply patch from https://bugs.kde.org/show_bug.cgi?id=308717,
      implementing fixed-point VCVT.F64.[SU]32 on ARM.  This instruction
      shows up quite frequently in desktop components.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 28 Oct 2013 13:42:46 -0700

valgrind (1:3.8.1-5) unstable; urgency=low

  * Enable build on x32 architecture (Closes: #718368)
  * Instrument pthread_cond_init() in Helgrind (Closes: #723699)

 -- Alessandro Ghedini <ghedo@debian.org>  Tue, 24 Sep 2013 13:01:22 +0200

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Uploaders: Roland Stigge <stigge@debian.org>
 Build-Depends: debhelper (>= 7.0.50~),
  autotools-dev,
+ dh-autoreconf,
  bash-completion,
  gdb,
  gcc-multilib [amd64],
@@ -14,16 +15,18 @@
  docbook-xsl,
  docbook-xml,
  xsltproc
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 XS-Debian-Vcs-Browser: http://git.debian.org/?p=collab-maint/valgrind.git;a=summary
 XS-Debian-Vcs-Git: git://git.debian.org/git/collab-maint/valgrind.git
 Homepage: http://www.valgrind.org/
 
 Package: valgrind
-Architecture: amd64 armel armhf i386 mips mipsel powerpc ppc64 s390x
+Architecture: amd64 armhf arm64 i386 mips mipsel mips64 mips64el powerpc ppc64 ppc64el s390x x32
 Depends: ${misc:Depends}, ${shlibs:Depends}, libc6-dbg
 Suggests: valgrind-dbg, kcachegrind, alleyoop, valkyrie (>> 1.3.0)
 Recommends: gdb
+Breaks: valgrind-dev
+Replaces: valgrind-dev
 Description: instrumentation framework for building dynamic analysis tools
  Valgrind is a system for debugging and profiling Linux programs. With its tool
  suite you can automatically detect many memory management and threading bugs,
@@ -45,7 +48,7 @@
 Package: valgrind-dbg
 Priority: extra
 Section: debug
-Architecture: amd64 armel armhf i386 mips mipsel powerpc ppc64 s390x
+Architecture: amd64 armhf arm64 i386 mips mipsel mips64 mips64el powerpc ppc64 ppc64el s390x x32
 Depends: ${misc:Depends}, valgrind (= ${binary:Version})
 Description: instrumentation framework for building dynamic analysis tools (debug)
  Valgrind is a system for debugging and profiling Linux programs. With its tool

=== debian/rules ===
#!/usr/bin/make -f

CFLAGS   = $(shell dpkg-buildflags --get CFLAGS)
CFLAGS  += $(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS  += "-I/usr/include/$(DEB_HOST_GNU_TYPE)"   # fixes #676029
LDFLAGS  = $(shell dpkg-buildflags --get LDFLAGS)

ifeq ($(DEB_HOST_ARCH),mipsel)
	CFLAGS += -mips2 # fixes 710307
endif

ifeq ($(DEB_HOST_ARCH_CPU),arm)
	DH_STRIP_OPTS := -X vgpreload
else
	DH_STRIP_OPTS :=
endif

CONFARGS = --enable-tls
ifeq ($(DEB_HOST_ARCH_CPU),arm64)
  CONFARGS += --enable-only64bit
endif

%:
	dh $@ --parallel --with=autoreconf,autotools-dev,bash-completion

override_dh_auto_configure:
	dh_auto_configure -- $(CONFARGS) CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"

override_dh_auto_test:
	: # do nothing for now

override_dh_auto_build:
	dh_auto_build --parallel
	$(MAKE) -C docs FAQ.txt
	$(MAKE) -C docs html-docs
	$(MAKE) -C docs man-pages

override_dh_strip:
	dh_strip --dbg-package=valgrind-dbg $(DH_STRIP_OPTS)

target=$(CURDIR)/debian/valgrind
override_dh_install:
	$(MAKE) install prefix=$(CURDIR)/debian/tmp/usr
	dh_install -pvalgrind
	mv -f $(target)/usr/bin/valgrind $(target)/usr/bin/valgrind.bin
	mv -f ${target}/usr/bin/valgrind.sh $(target)/usr/bin/valgrind
	dh_install --remaining-packages

override_dh_installchangelogs:
	dh_installchangelogs NEWS

## valgrind 3.10.0

=== debian/changelog ===
valgrind (1:3.10.0-4) unstable; urgency=medium

  * Call dh_shlibdeps unconditionally

 -- Alessandro Ghedini <ghedo@debian.org>  Sun, 16 Nov 2014 10:52:29 +0100

valgrind (1:3.10.0-3) unstable; urgency=medium

  * Bump Standards-Version to 3.9.6 (no changes needed)
  * Fix changelog typo (Closes: #768303)
  * Fix note about instrumenting i386 binaries on amd64 (Closes: #768412)

 -- Alessandro Ghedini <ghedo@debian.org>  Fri, 14 Nov 2014 12:46:30 +0100

valgrind (1:3.10.0-2) unstable; urgency=medium

  * Add note in README.Debian about instrumenting i386 executables on amd64
  * Avoid Depends: libc-i386 on valgrind:amd64 (Closes: #762386)

 -- Alessandro Ghedini <ghedo@debian.org>  Wed, 05 Nov 2014 20:56:12 +0100

valgrind (1:3.10.0-1) unstable; urgency=medium

  * New upstream release
  * Drop patches merged upstream:
    - 10_fix-memcheck-manual.patch
    - 11_track-af_inet6.patch
    - 12_glibc-2.19.patch
    - 13_xabort.patch
  * Refresh the remaining patches
  * Build on arm64 and ppc64el
  * Fix wildcard-matches-nothing-in-dep5-copyright
  * Fix another spelling-error-in-manpage

 -- Alessandro Ghedini <ghedo@debian.org>  Sun, 21 Sep 2014 12:04:17 +0200

valgrind (1:3.9.0-7) unstable; urgency=medium

  * Remove index() Debian-specific suppressions (not needed anymore)
  * Add 13_xabort.patch to add support for XABORT (Closes: #754496)
  * Switch to dh-autoreconf
  * No need to patch 'configure' as well as 'configure.ac' due to autoreconf

 -- Alessandro Ghedini <ghedo@debian.org>  Wed, 23 Jul 2014 11:47:13 +0200

valgrind (1:3.9.0-6) unstable; urgency=medium

  * Improve misleading note about suppressions in README.Debian
  * Add note about valgrind-dbg Recommends in README.Debian
  * Add 12_glibc-2.19.patch to fix build against glibc 2.19 (Closes: #751701)

 -- Alessandro Ghedini <ghedo@debian.org>  Sun, 15 Jun 2014 20:20:54 +0200

valgrind (1:3.9.0-5) unstable; urgency=medium

  * Add 10_fix-memcheck-manual.patch (Closes: #736994)
  * Add suppressions to avoid errors from index() with newer libc
  * Add 11_track-af_inet6.patch to fix AF_INET6 sockets tracking
    (Closes: #733119)

 -- Alessandro Ghedini <ghedo@debian.org>  Sun, 23 Feb 2014 20:04:38 +0100

=== debian/control ===
--- 
+++ 
@@ -1,30 +1,29 @@
 Source: valgrind
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Alessandro Ghedini <ghedo@debian.org>
+Maintainer: Alessandro Ghedini <ghedo@debian.org>
 Uploaders: Roland Stigge <stigge@debian.org>
 Build-Depends: debhelper (>= 7.0.50~),
- autotools-dev,
+ bash-completion,
  dh-autoreconf,
- bash-completion,
  gdb,
  gcc-multilib [amd64],
  libc6-dev-i386 [amd64],
+ mpi-default-dev,
  docbook,
  docbook-xsl,
  docbook-xml,
  xsltproc
-Standards-Version: 3.9.5
-XS-Debian-Vcs-Browser: http://git.debian.org/?p=collab-maint/valgrind.git;a=summary
-XS-Debian-Vcs-Git: git://git.debian.org/git/collab-maint/valgrind.git
+Standards-Version: 3.9.6
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/valgrind.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/valgrind.git
 Homepage: http://www.valgrind.org/
 
 Package: valgrind
-Architecture: amd64 armhf arm64 i386 mips mipsel mips64 mips64el powerpc ppc64 ppc64el s390x x32
+Architecture: amd64 arm64 armhf i386 mips mipsel mips64 mips64el powerpc ppc64 ppc64el s390x x32
 Depends: ${misc:Depends}, ${shlibs:Depends}, libc6-dbg
-Suggests: valgrind-dbg, kcachegrind, alleyoop, valkyrie (>> 1.3.0)
-Recommends: gdb
+Suggests: valgrind-mpi, kcachegrind, alleyoop, valkyrie (>> 1.3.0)
+Recommends: valgrind-dbg, gdb
 Breaks: valgrind-dev
 Replaces: valgrind-dev
 Description: instrumentation framework for building dynamic analysis tools
@@ -48,7 +47,7 @@
 Package: valgrind-dbg
 Priority: extra
 Section: debug
-Architecture: amd64 armhf arm64 i386 mips mipsel mips64 mips64el powerpc ppc64 ppc64el s390x x32
+Architecture: amd64 arm64 armhf i386 mips mipsel mips64 mips64el powerpc ppc64 ppc64el s390x x32
 Depends: ${misc:Depends}, valgrind (= ${binary:Version})
 Description: instrumentation framework for building dynamic analysis tools (debug)
  Valgrind is a system for debugging and profiling Linux programs. With its tool
@@ -58,3 +57,17 @@
  Valgrind to build new tools.
  .
  This package provides the debug symbols for valgrind's tools and libraries.
+
+Package: valgrind-mpi
+Architecture: amd64 arm64 armhf i386 mips mipsel mips64 mips64el powerpc ppc64 ppc64el s390x x32
+Depends: ${misc:Depends}, ${shlibs:Depends}, valgrind (= ${binary:Version})
+Recommends: gdb
+Description: instrumentation framework for building dynamic analysis tools (MPI module)
+ Valgrind is a system for debugging and profiling Linux programs. With its tool
+ suite you can automatically detect many memory management and threading bugs,
+ avoiding hours of frustrating bug-hunting and making your programs more stable.
+ You can also perform detailed profiling to help speed up your programs and use
+ Valgrind to build new tools.
+ .
+ This package provides the "mpiwrap" library for debugging distributed-memory
+ applications which use the MPI message passing standard.

=== debian/rules ===
#!/usr/bin/make -f

CFLAGS   = $(shell dpkg-buildflags --get CFLAGS)
CFLAGS  += $(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS  += "-I/usr/include/$(DEB_HOST_GNU_TYPE)"   # fixes #676029
LDFLAGS  = $(shell dpkg-buildflags --get LDFLAGS)

ifeq ($(DEB_HOST_ARCH),mipsel)
	CFLAGS += -mips2 # fixes 710307
endif

%:
	dh $@ --parallel --with=autoreconf,bash-completion

override_dh_auto_configure:
	dh_auto_configure -- --enable-tls CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"

override_dh_auto_test:
	: # do nothing for now

override_dh_auto_build:
	dh_auto_build --parallel
	$(MAKE) -C docs FAQ.txt
	$(MAKE) -C docs html-docs
	$(MAKE) -C docs man-pages

override_dh_shlibdeps:
	dh_shlibdeps -Xdebian/valgrind/usr/lib/valgrind/getoff-x86-linux # fixes #762386

override_dh_strip:
	dh_strip --dbg-package=valgrind-dbg

target=$(CURDIR)/debian/valgrind
override_dh_install:
	$(MAKE) install prefix=$(CURDIR)/debian/tmp/usr
	dh_install -pvalgrind -Xlibmpiwrap
	mv -f $(target)/usr/bin/valgrind $(target)/usr/bin/valgrind.bin
	mv -f ${target}/usr/bin/valgrind.sh $(target)/usr/bin/valgrind
	dh_install --remaining-packages

override_dh_installchangelogs:
	dh_installchangelogs NEWS
